Update NEWS for v0.4.12
[libquvi-scripts.git] / INSTALL
blob8b3576fdfe1a600be48f3da5699c4cc06c5f4bb8
3 Installation from source
4 ========================
6 REMINDER: Run "make uninstall" if you have installed libquvi-scripts from
7 the source previously.
9   * How to use GNU Autotools build system falls outside of the scope of
10   this documentation, refer to the appropriate sources instead
12   * IF you are unsure, THEN do not install from the source
13     - libquvi-scripts is available to many distros as a precompiled package
15     - Precompiled packages (ideally) make sure that no old files are
16       left behind when the software is upgraded or uninstalled
18     - Any old files left behind on your system may potentially interfere
19       with the new version of libquvi-scripts
21   * Consider yourself reminded
23 "./configure && make install", typically. See also "./configure --help".
24 If you are installing libquvi-scripts from the development code from the git
25 repository, see "Installation from development code", instead.
27     --with-tests    Enable tests (e.g. "make check", req. Perl)
28                       - Set TEST_VERBOSE for verbose tests
29                       - Recommended for developers only
30                       - Tests are not run by default
32     --with-nlfy     Enable *tests* for webscripts marked as "NLFY"
33                       - a.k.a. the websites that mock visitors, e.g.:
34                         "Sorry we do not accept connections from your country"
35                       - NLFY webscripts are installed always
37     --with-nsfw     Install (&test) webscripts marked as "NSFW"
38                       - Install "Not safe for work" webscripts
39                       - Not installed by default
41     --with-fixme    Install (&test) webscripts marked as "FIXME"
42                       - Broken, outdated, ... webscripts
43                       - Recommended for developers only
44                       - Not installed by default
46   --without-manual        Do not install manual page(s)
49 Installation from development code
50 ==================================
52 If you are installing libquvi-scripts from the development code, run
53 "autogen.sh", first. This generates the configuration files that are
54 not in the git repository. You will need:
56   * GNU Autotools (autoconf, automake, etc.)
58 Once the files have been generated, follow the instructions in "Installation
59 from source" above.
62 Tests
63 =====
65 "configure --with-tests && make check", typically. The test suite is
66 intended for developers only and will use the Internet. See also
67 $top_srcdir/tests/README.